import { GraphQLSchema, OperationDefinitionNode } from 'graphql';
import { ClientSideBasePluginConfig, ClientSideBaseVisitor, LoadedFragment } from '@graphql-codegen/visitor-plugin-common';
import { MSWRawPluginConfig } from './config.cjs';
export interface MSWPluginConfig extends ClientSideBasePluginConfig {
    link?: {
        endpoint: string;
        name: string;
    };
}
export declare class MSWVisitor extends ClientSideBaseVisitor<MSWRawPluginConfig, MSWPluginConfig> {
    private _externalImportPrefix;
    private _operationsToInclude;
    constructor(schema: GraphQLSchema, fragments: LoadedFragment[], rawConfig: MSWRawPluginConfig);
    getImports(): string[];
    getContent(): string;
    buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string): any;
}
